Summary:	A utility for removing files based on when they were last accessed.
Name:		tmpwatch
Group:		System Environment/Base
License:	GPL
Version:	2.9.4
Release:	1
Source:		tmpwatch-%{version}.tar.gz
Requires:	psmisc
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time.  Tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp).  Tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man8/tmpwatch.8*
  %attr(0500,root,root)		%{_sbindir}/tmpwatch
  %attr(0640,root,admin)	%config %{_sysconfdir}/cron.daily/tmpwatch

%prep
%setup -q

%build
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make PREFIX=$RPM_BUILD_ROOT/usr MANDIR=$RPM_BUILD_ROOT/%{_mandir} install

  pushd $RPM_BUILD_ROOT
    mkdir -p .%{_sysconfdir}/cron.daily
    echo '%{_sbindir}/tmpwatch 240 /tmp /var/tmp' >> .%{_sysconfdir}/cron.daily/tmpwatch
    chmod +x .%{_sysconfdir}/cron.daily/tmpwatch
  popd

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 30 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 2.9.4, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
